> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Execution History

> Get execution history for the active org.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/external/billing/history
openapi: 3.1.0
info:
  title: Lyceum Cloud API
  version: 0.1.0
servers:
  - url: https://api.lyceum.technology
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v2/external/billing/history:
    get:
      tags:
        - Billing
      summary: Get Execution History
      description: Get execution history for the active org.
      operationId: get_execution_history_api_v2_external_billing_history_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutionHistory'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ExecutionHistory:
      properties:
        executions:
          items:
            $ref: >-
              #/components/schemas/app__api__v2_streaming__external__billing__credits__ExecutionSummary
          type: array
          title: Executions
        total_executions:
          type: integer
          title: Total Executions
        total_credits_spent:
          type: number
          title: Total Credits Spent
        counts_by_status:
          additionalProperties:
            type: integer
          type: object
          title: Counts By Status
          default: {}
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - executions
        - total_executions
        - total_credits_spent
        - limit
        - offset
      title: ExecutionHistory
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    app__api__v2_streaming__external__billing__credits__ExecutionSummary:
      properties:
        execution_id:
          type: string
          title: Execution Id
        created_at:
          type: string
          format: date-time
          title: Created At
        execution_type:
          type: string
          title: Execution Type
        status:
          type: string
          title: Status
        status_details:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Details
        hardware_profile:
          type: string
          title: Hardware Profile
        local_imports:
          anyOf:
            - type: string
            - type: 'null'
          title: Local Imports
        billed:
          anyOf:
            - type: number
            - type: 'null'
          title: Billed
        execelet_start:
          anyOf:
            - type: string
            - type: 'null'
          title: Execelet Start
        start_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Start Time
        end_time:
          anyOf:
            - type: string
            - type: 'null'
          title: End Time
        finish_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Finish Time
        job_start:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Job Start
        job_end:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Job End
        file_name:
          anyOf:
            - type: string
            - type: 'null'
          title: File Name
        errors_docker:
          anyOf:
            - type: string
            - type: 'null'
          title: Errors Docker
        parent_execution_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Execution Id
        job_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Type
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
        croesus_billed:
          anyOf:
            - type: number
            - type: 'null'
          title: Croesus Billed
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
      type: object
      required:
        - execution_id
        - created_at
        - execution_type
        - status
        - hardware_profile
      title: ExecutionSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Pass an API key (prefixed `lk_`) or a JWT access token as a bearer
        token. Generate API keys in the dashboard at
        https://dashboard.lyceum.technology/api-keys.

````